QueryCriteria.SoftLockingCondition
Keywords: net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class QueryCriteria.SoftLockingCondition

- net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition

- Enclosing class:
    QueryCriteria

      public static class QueryCriteria.SoftLockingCondition

  Select states based on their locks.

- - ### Constructor Detail

    - #### SoftLockingCondition

          public SoftLockingCondition(@NotNull
                                      net.corda.core.node.services.vault.QueryCriteria.SoftLockingType type,
                                      @NotNull
                                      java.util.List<java.util.UUID> lockIds)

      Select states based on their locks.

      Parameters:
        `type` - Whether to select all locked states, all unlocked states,specific locked states, or all unlocked states plus specific locked states.
        `lockIds` - The specific locked states to select (if applicable).

  - ### Method Detail

    - #### getType

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.SoftLockingType getType()

      Whether to select all locked states,

      all unlocked states,specific locked states, or all unlocked states plus specific locked states.

    - #### getLockIds

          @NotNull
          public java.util.List<java.util.UUID> getLockIds()

      The specific locked states to select

      (if applicable).

    - #### component1

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.SoftLockingType component1()

      Whether to select all locked states,

      all unlocked states,specific locked states, or all unlocked states plus specific locked states.

    - #### component2

          @NotNull
          public java.util.List<java.util.UUID> component2()

      The specific locked states to select

      (if applicable).

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition copy(@NotNull
                                                                                                     net.corda.core.node.services.vault.QueryCriteria.SoftLockingType type,
                                                                                                     @NotNull
                                                                                                     java.util.List<java.util.UUID> lockIds)

      Select states based on their locks.

      Parameters:
        `type` - Whether to select all locked states, all unlocked states, specific locked states, or all unlocked states plus specific locked states.
        `lockIds` - The specific locked states to select (if applicable).

    - #### toString

          @NotNull
          public java.lang.String toString()

      Select states based on their locks.

    - #### hashCode

          public int hashCode()

      Select states based on their locks.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Select states based on their locks.